/*  This file is part of xulSword.

    Copyright 2009 John Austin (gpl.programs.info@gmail.com)

    xulSword is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    xulSword is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with xulSword.  If not, see <http://www.gnu.org/licenses/>.
*/

var Type = window.arguments[0];
var Title = window.arguments[1];
var xulSword = window.arguments[2];
var Label = window.arguments[3];
var downloadingLibrary = window.arguments[4];
  
var Progress, LabelElem, ButtonElem;

// workProgress.xul can be displayed before the XS_window, so
// program-wide globals CANNOT be assumed to be defined!
function Load() {
  document.title = Title;

  Progress = document.getElementById("progress");
  LabelElem = document.getElementById("label");
  ButtonElem = document.getElementById("stop");
  switch (Type) {
  case XULSword.prototype.PMNORMAL:
    break;
  case XULSword.prototype.PMSTOP:
    ButtonElem.setAttribute("hidden", "false");
    break;
  }
  
  LabelElem.setAttribute("value", Label);

  window.setTimeout(function () {sizeToContent();}, 1);
  window.setTimeout(function () {finishedLoading();}, 1);  
  
  if (downloadingLibrary) { //FIXME remove this specialized code
  	xulSword.downloadFTPListing(this);
  }
}

function setLibraryName(name) {
	LabelElem.setAttribute("value", "Downloading: " + name);
}

function finishedLoading() {
  try {xulSword.setProgressMeterLoaded();}
  catch (er) {jsdump(er);}
}

function cancel() {
	xulSword.downloadCancelled(this);
}
